Get protein library screen status
GET/compute/v1/protein/library-screen/{id}
Retrieve a library screen by ID, including progress and status
Path Parameters
id: string
Query Parameters
workspace_id: optional string
Workspace ID. Only used with admin API keys. Ignored (or validated) for workspace-scoped keys.
Returns
id: string
Unique ProteinLibraryScreen identifier
completed_at: string
formatdate-time
created_at: string
formatdate-time
data_deleted_at: string
When the input, output, and result data was permanently deleted. Null if data has not been deleted.
formatdate-time
engine: "boltz-protein-screen"
Engine used for protein library screen
engine_version: string
Engine version used for protein library screen
livemode: boolean
Whether this resource was created with a live API key.
started_at: string
formatdate-time
stopped_at: string
formatdate-time
workspace_id: string
Workspace ID
idempotency_key: optional string
Client-provided idempotency key
Get protein library screen status
curl https://api.boltz.bio/compute/v1/protein/library-screen/$ID \
-H "x-api-key: $BOLTZ_API_KEY"{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-protein-screen",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"proteins": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"target": {
"chain_selection": {
"A": {
"chain_type": "polymer",
"crop_residues": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
],
"epitope_residues": [
10,
11,
12
],
"flexible_residues": [
5,
6,
7
]
}
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "structure_template"
}
},
"livemode": true,
"progress": {
"num_proteins_failed": 0,
"num_proteins_screened": 0,
"total_proteins_to_screen": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}Returns Examples
{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-protein-screen",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"proteins": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"target": {
"chain_selection": {
"A": {
"chain_type": "polymer",
"crop_residues": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
],
"epitope_residues": [
10,
11,
12
],
"flexible_residues": [
5,
6,
7
]
}
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "structure_template"
}
},
"livemode": true,
"progress": {
"num_proteins_failed": 0,
"num_proteins_screened": 0,
"total_proteins_to_screen": 1,
"latest_result_id": "latest_result_id"
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}